Subject: question to the IAOC: new committee members

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Wed, 16 Nov 2016 19:38:06 +0900

All the IETF positions have rules to be selected, nomcom, etc., and there is a great transparency on the process.

However today we discovered that new members have been selected for IAOC committees.

What have been the rules/process for that?

One of the questions that have been discussed several times is the lack of transparency from the IAOC, and clearly here we have a new demonstration of that.

I hope there is a clear statement from IAOC explaining the process.

If that not happens, what is the process to appeal that decision, so I can follow it?

We as a community, in my opinion, can’t keep going with this lack of transparency.

Regards,
Jordi

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.consulintel.es
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the use of the individual(s) named above. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, including attached files, is prohibited.

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 17 Nov 2016 08:26:24 +1300

Jordi,

It's very common for committees to appoint sub-committees, within their
range of responsibilities, and for sub-committees to coopt experts.

I am not in the least shocked by this; in fact given the expansion of
the IASA's workload over the last 10 years it seems entirely normal
to me. I don't think anything has been hidden, and of course the IAOC
as a whole remains responsible for the work of IASA subcommittees,
according to section 3.2 of RFC4071. Specifically "The IAOC's mission
is not to be engaged in the day-to-day administrative work of the IASA,
but rather to provide appropriate direction, oversight, and approval."

Regards
   Brian

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 16 Nov 2016 14:38:54 -0500

there was also a public call for volunteers (which is how we got the names)

Scott

> On Nov 16, 2016, at 2:26 PM, Brian E Carpenter <[email-masked]> wrote:
> 
> Jordi,
>

---

From: Lou Berger <[email-masked]>
Date: Thu, 17 Nov 2016 05:55:32 +0900

For reference:

https://www.ietf.org/mail-archive/web/ietf-announce/current/msg15684.html

Which also points to https://iaoc.ietf.org/committees.html

In looking at both,  the only thing not completely spelled out is
something like:
    - ... Candidates are appointed based on the information they
provide, and input received from the existing committee membership and
chairs.  Appointment is finalized once the candidate confirm their
willingness to serve and execute any required non-disclosure. Updated
(and current) committee membership is then published to the community.

Lou

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 17 Nov 2016 10:11:59 +0900

I understand that and the workload increase, but clearly the way to accommodate to it, in a transparent way is to increase the number of seats, which I believe requires a small modification of RFC4071.

I think that “common” as you say is ok, but always with a predefined procedure, clear for all the community. For example:

1) There is some scoring to appoint people depending on their capabilities/merits?
2) Where are the detailed minutes of that decision process, so we can review it?

Regards,
Jordi

-----Mensaje original-----
De: ietf <[email-masked]> en nombre de Brian E Carpenter <[email-masked]>
Organización: University of Auckland
Responder a: <[email-masked]>
Fecha: jueves, 17 de noviembre de 2016, 4:26
Para: <[email-masked]>, <[email-masked]>, <[email-masked]>
Asunto: Re: question to the IAOC: new committee members

    Jordi,

    
    Regards
       Brian

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 17 Nov 2016 10:16:18 +0900

Speaking as an individual ...

> > but rather to provide appropriate direction, oversight, and approval."

We had a vaguely similar discussion when the IAB started broadening the
group of people who help the IAB carry out its chartered responsibilities
by setting up IAB programs in 2010.

It seems to me that as long as the group communicates with the broader
community, and as long as the broader community knows what is happening and
how to appeal problems, and as long as the broader community knows who to
recall if things are REALLY off the rails, the way this is done is probably
ok.

IMO, of course.

Spencer

> >> All the IETF positions have rules to be selected, nomcom, etc., and
there is a great transparency on the process.
> >> One of the questions that have been discussed several times is the
lack of transparency from the IAOC, and clearly here we have a new
demonstration of that.
> >> This electronic message contains information which may be privileged
or confidential. The information is intended to be for the use of the
individual(s) named above. If you are not the intended recipient be aware
that any disclosure, copying, distribution or use of the contents of this
information, including attached files, is prohibited.

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 16 Nov 2016 20:19:04 -0500

speaking for the legal committee, we had one volunteer that many of us know well - there was
no specific scoring since we knew that the one volunteer would be fine and he was invited to join the committee.

there was a few minutes discussion on an IAOC call and I assume that the result was minuted 
but do not recall 

Scott

> On Nov 16, 2016, at 8:11 PM, JORDI PALET MARTINEZ <[email-masked]> wrote:
>

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 17 Nov 2016 10:21:09 +0900

Hi Lou,

I was aware of the email you mention, and also the Committees page, but still fail to see the procedure and how the selection of the candidates was done in a way that allows the community to validate the IAOC decision, or even appeal it.

I will still think that the right way is to accommodate for more seats at the IAOC, as the workload can be better measured after 10 years than when it was designed.

Every time I try to find the minutes of the IAOC are too short, and if published too late and quite incomplete. I can’t see the qualifications of the volunteers of each committee in which the decision was based. So is that transparent?

Regards,
Jordi

-----Mensaje original-----
De: ietf <[email-masked]> en nombre de Lou Berger <[email-masked]>
Responder a: <[email-masked]>
Fecha: jueves, 17 de noviembre de 2016, 5:55
Para: "Scott O. Bradner" <[email-masked]>, Brian E Carpenter <[email-masked]>, <[email-masked]>
CC: IAOC IAOC <[email-masked]>, IETF discussion list <[email-masked]>
Asunto: Re: [IAOC] question to the IAOC: new committee members

    For reference:

    
    
    Lou

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 17 Nov 2016 10:24:10 +0900

Of course, I checked all the minutes, before my first posting on this. I read them once per month or so.

I check them again right now. I see the case for the legal committee, or others that may have a single volunteer, which is perfectly fine then, but no details on the others …

Regards,
Jordi

-----Mensaje original-----
De: ietf <[email-masked]> en nombre de "Scott O. Bradner" <[email-masked]>
Responder a: <[email-masked]>
Fecha: jueves, 17 de noviembre de 2016, 10:19
Para: <[email-masked]>
CC: IAOC IAOC <[email-masked]>, IETF discussion list <[email-masked]>
Asunto: Re: [IAOC] question to the IAOC: new committee members

    
    Scott

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 16 Nov 2016 20:42:27 -0500

Jordi

	please take a look at the IAOC minutes for September 8 2016

Scott

> On Nov 16, 2016, at 8:24 PM, JORDI PALET MARTINEZ <[email-masked]> wrote:
>

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 17 Nov 2016 11:07:24 +0900

I did, and 3 times already.

They only reflect the decision, not the process. IT IS NOT TRANSPARENT.

Committee Member Updates
1. On July 18, 2016 the IAOC Chair announced that the IAOC was interested in broadening nonmember
participation in its committees and requested those who were interested to respond
by 1 August.
2. The IAOC received expressions of interest from 9 community members.
Resolution
The IAOC appoints the following community members (+ ex-officio positions) to the respective
committee based upon their experience and interest, and subject to their [availability]
willingness to execute a non-disclosure agreement, for the 2016-2017 term:
a. Finance Committee - Michael Richardson
b. Legal Committee - Joel Halpern
c. Meetings Committee - Yang Huaru, Avri Doria
Jari made the motion to approve the new committee members. John seconded the motion.
Roll Call:
Jari Arkko [YES]
Lou Berger [YES]
Kathy Brown [YES]
Leslie Daigle [YES]
Tobias Gondrom [YES]
John Levine [YES]
Andrew Sullivan [YES]
The motion carries.
Action: We need to follow-up with those who were not selected and announce the new
members.

Regards,
Jordi

-----Mensaje original-----
De: "Scott O. Bradner" <[email-masked]>
Responder a: <[email-masked]>
Fecha: jueves, 17 de noviembre de 2016, 10:42
Para: <[email-masked]>
CC: IAOC IAOC <[email-masked]>, IETF discussion list <[email-masked]>
Asunto: Re: [IAOC] question to the IAOC: new committee members

    Jordi

    Scott

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 16 Nov 2016 21:13:41 -0500

I told you the process we used for the legal committee

we knew Joel, he was the only volunteer, no one said anything against him, so we said OK

I’m not sure want more we could have said in the minutes in this case

others can speak to the other committees

Scott

> On Nov 16, 2016, at 9:07 PM, JORDI PALET MARTINEZ <[email-masked]> wrote:
>

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 17 Nov 2016 11:17:22 +0900

Of course, talking about the cases where there not just ONE volunteer, as I already indicated previously (I think).

Regards,
Jordi

-----Mensaje original-----
De: "Scott O. Bradner" <[email-masked]>
Responder a: <[email-masked]>
Fecha: jueves, 17 de noviembre de 2016, 11:13
Para: <[email-masked]>
CC: IAOC IAOC <[email-masked]>, IETF discussion list <[email-masked]>
Asunto: Re: [IAOC] question to the IAOC: new committee members

    

    Scott

---

From: Dave Crocker <[email-masked]>
Date: Wed, 16 Nov 2016 18:17:52 -0800

> I’m not sure want more we could have said in the minutes in this case

in watching this exchange, i think the model that is being demanded is 
what is called a 'fishbowl' in which every aspect of every decision 
process is fully visible to others.

in some small, tightly-knit environments, it can be viable.

the ietf is not one of those.

by way of facilitating this process, i'll suggest it be dropped, in the 
absence of something that looks like rough consensus support for 
pursuing it.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Michael Richardson <[email-masked]>
Date: Thu, 17 Nov 2016 11:31:26 +0900

{I was asked to join the IAOC finance sub-committee}

    > However today we discovered that new members have been selected for

These *sub*-committee members have no IAOC power, vote, etc.
(The IAB program system also functions as *sub*-committees with extra
members, and it's all much like IETF WG design teams... That's the model you
should think about)

It's really about extra eyes, and better communication to the IETF member
base, and this is good.

The sub-committees selected their members from the list of people who
volunteered.  I don't think the selection process was particularly
transparent at this point, but it could be that it happened on a publically
recorded IAOC call.

My impression is that that they will subsequent calls for volunteers and
additional people added.

Feel free to pidgeon hole me at the bits'n'bytes if you want me to bore you a
bunch about the september finance meeting stuff.   Well, the details of the
finances are particularly intricate and can be boring, but the overall
picture was painted by Jari and Ray at the plenary is perhaps alarming.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: "Leslie Daigle" <[email-masked]>
Date: Wed, 16 Nov 2016 21:45:48 -0500

Jordi,

Whether or not the structure of the IAOC (size, composition) is right is 
a separate conversation, and let’s leave that aside.

The IAOC’s Committees are populated by and work at the pleasure of the 
IAOC, which decides who makes sense to put on them, what expertise and 
experience is important at a moment in time, and how best to put people 
together that they believe will work well together.  We do review 
committee membership on (at least) an annual basis.  If that sounds 
self-serving, it perhaps is:  it’s how the IAOC gets work done.  It 
also means that the committees do not make decisions — they do work 
and present recommendations to the IAOC, which makes decisions and takes 
responsibility for the outcomes.

We have not published detailed review our our decision process about 
composing the committees — these are intimately tied to the details of 
how we get our work done and they are, frankly, personnel decisions.

In making our call for community volunteers, we did try to be clear 
about what we were looking for.   We are trying to be clear and 
transparent about who is helping us get our work done (i.e., who is on 
the committees).

I understand you are not happy with our choices, and I’m sorry you 
feel that way.   I am around through midday tomorrow if you want to talk 
about it offline.

Leslie.

-- 

-------------------------------------------------------------------
Leslie Daigle
Principal, ThinkingCat Enterprises LLC
[email-masked]
-------------------------------------------------------------------
On 16 Nov 2016, at 20:21, JORDI PALET MARTINEZ wrote:

> Hi Lou,
>
> I was aware of the email you mention, and also the Committees page, 
> but still fail to see the procedure and how the selection of the 
> candidates was done in a way that allows the community to validate the 
> IAOC decision, or even appeal it.
>
> I will still think that the right way is to accommodate for more seats 
> at the IAOC, as the workload can be better measured after 10 years 
> than when it was designed.
>
> Every time I try to find the minutes of the IAOC are too short, and if 
> published too late and quite incomplete. I can’t see the 
> qualifications of the volunteers of each committee in which the 
> decision was based. So is that transparent?
>
> Regards,
> Jordi
>
> Para: "Scott O. Bradner" <[email-masked]>, Brian E Carpenter 
> <[email-masked]>, <[email-masked]>
>     >>> All the IETF positions have rules to be selected, nomcom, 
> etc., and there is a great transparency on the process.
>     >>>
>     >>> One of the questions that have been discussed several times is 
> the lack of transparency from the IAOC, and clearly here we have a new 
> demonstration of that.
>     >>>
>     >>> This electronic message contains information which may be 
> privileged or confidential. The information is intended to be for the 
> use of the individual(s) named above. If you are not the intended 
> recipient be aware that any disclosure, copying, distribution or use 
> of the contents of this information, including attached files, is 
> prohibited.
>     >>>
>     >>>
>     >>>
>     >>>
>     >
>
> individual(s) named above. If you are not the intended recipient be 
> aware that any disclosure, copying, distribution or use of the 
> contents of this information, including attached files, is prohibited.
>

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 17 Nov 2016 12:02:09 +0900

So, do you think “personnel decisions” is a transparent process? My understanding is that it means if you have some friends, or political reasons to select among the volunteers one or the other … you don’t need to explain it.

I really think this is plain wrong.

What worries me, again, is the lack of transparency. It is not the first time I feel the IAOC is not acting in a responsible way.

I will say even a basic education matter, because I’m still waiting since August 2015, the promised response from the IAOC (the specific matter don't care, the point is not having a response at all). Do you think this is a reasonable way for the IAOC to just non-respond, despite they said will do?

Is this transparency?

We need a clear process, and you’re right, it is a separate conversation, and as I said, my opinion is that committees should not require “external” volunteers, which will avoid this kind “personnel decisions”, just having enough seats to avoid excess workload among IAOC members.

Regards,
Jordi

-----Mensaje original-----
De: Leslie Daigle <[email-masked]>
Responder a: <[email-masked]>
Fecha: jueves, 17 de noviembre de 2016, 11:45
Para: JORDI PALET MARTINEZ <[email-masked]>
CC: IAOC IAOC <[email-masked]>, IETF discussion list <[email-masked]>
Asunto: Re: [IAOC] question to the IAOC: new committee members

    Jordi,
    Whether or not the structure of the IAOC (size, composition) is right is a separate conversation, and let’s leave that aside.
    The IAOC’s Committees are populated by and work at the pleasure of the IAOC, which decides who makes sense to put on them, what expertise and experience is important at a moment in time, and how best to put people together that they believe will work well together.  We do review committee membership on (at least) an annual basis.  If that sounds self-serving, it perhaps is:  it’s how the IAOC gets work done.  It also means that the committees do not make decisions — they do work and present recommendations to the IAOC, which makes decisions and takes responsibility for the outcomes.  
    We have not published detailed review our our decision process about composing the committees — these are intimately tied to the details of how we get our work done and they are, frankly, personnel decisions.   
    In making our call for community volunteers, we did try to be clear about what we were looking for.   We are trying to be clear and transparent about who is helping us get our work done (i.e., who is on the committees). 
    I understand you are not happy with our choices, and I’m sorry you feel that way.   I am around through midday tomorrow if you want to talk about it offline.
    Leslie.
    -- 
    ________________________________________
    Leslie Daigle
    Principal, ThinkingCat Enterprises LLC
    [email-masked] 16 Nov 2016, at 20:21, JORDI PALET MARTINEZ wrote:

    Hi Lou,

    Regards,
    
    Jordi

    -----Mensaje original-----

    

    

        For reference:

    
    
        something like:

    

        Lou

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
    IPv4 is over

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 17 Nov 2016 16:48:17 +1300

Hi Jordi,

On 17/11/2016 16:02, JORDI PALET MARTINEZ wrote:
> So, do you think “personnel decisions” is a transparent process? 

To be blunt, no. When the IAOC hired Ray, for example, we (I was in
the IAOC then) didn't publish our reasons, his salary, or why we thought
he was better than the other candidates. We did describe the selection process:
https://mailarchive.ietf.org/arch/msg/ietf-announce/uOwQI_-GUz8WmYl_pEvp-HO5HOA
I don't really see why it's any different for volunteer or professional seats in
working sub-committees.

> My understanding is that it means if you have some friends, or political reasons to select among the volunteers one or the other
… you don’t need to explain it.

My understanding is that if you're trying to create a team to work
on a particular job, you choose people that you think have the expertise
and will work well together. But that's ultimately a matter of judgment.

> What worries me, again, is the lack of transparency. It is not the first time I feel the IAOC is not acting in a responsible way.

Transparency is undoubtedly necessary and we'd probably always like more of it,
but I really don't know what to ask for in addition to published procedures &
policies, meeting minutes and regular reports. You are never going to get visibility
of commercial negotiations or personnel questions.

> I will say even a basic education matter, because I’m still waiting since August 2015, the promised response from the IAOC (the specific matter don't care, the point is not having a response at all…

No, if they said they'd respond and they didn't, that's wrong.

> We need a clear process, and you’re right, it is a separate conversation, and as I said, my opinion is that committees should not require “external” volunteers, which will avoid this kind “personne…

But these are specialised sub-committees. You don't want to require IAOC members to
have specialist skills like lawyer, accountant, hotel contracting, travel agent...
and you don't want the IAOC to become so large that this becomes a problem in itself.

   Brian

---

From: Bob Hinden <[email-masked]>
Date: Thu, 17 Nov 2016 13:00:35 +0900

Jordi,

> On Nov 17, 2016, at 12:02 PM, JORDI PALET MARTINEZ <[email-masked]> wrote:
> 

I disagree.  If IETF personal decisions (IAOC committees, IAB appointments, IESG appointments, nomcom selections, hiring staff) are required to be are fully transparent, then very few people will volunteer.  No one wants to see in public that they were not selected because they were unfit, not as good as someone else, or whatever.

Not everything in the IETF can be fully transparent.  I think what the IAOC did in this case, and what it usually done for the NomCom and related selections are fine in my view.

Bob